<?php


class WPRuby_RoyalMailItem implements WPRuby_Item
{
    public $description;
    public $width;
    public $length;
    public $depth;
    public $weight;
    public $volume;
    public $keepFlat;
    public $price;

    public function __construct($description, $width, $length, $depth, $weight, $keepFlat, $price)
    {
        $this->description = $description;
        $this->width = $width;
        $this->length = $length;
        $this->depth = $depth;
        $this->weight = $weight;
        $this->keepFlat = $keepFlat;
        $this->price = $price;
    }
    /**
    * Item SKU etc
    * @return string
    */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Item width in mm
     * @return int
     */
    public function getWidth()
    {
        return $this->width;
    }

    /**
     * Item length in mm
     * @return int
     */
    public function getLength()
    {
        return $this->length;
    }

    /**
     * Item depth in mm
     * @return int
     */
    public function getDepth()
    {
        return $this->depth;
    }

    /**
     * Item weight in g
     * @return int
     */
    public function getWeight()
    {
        return $this->weight;
    }

    /**
     * Item volume in mm^3
     * @return int
     */
    public function getVolume()
    {
        return $this->length * $this->width * $this->depth;
    }

    /**
     * Does this item need to be kept flat?
     * XXX not yet used, all items are kept flat
     * @return bool
     */
    public function getKeepFlat()
    {
        return $this->keepFlat;
    }

	/**
	 * @return mixed
	 */
	public function getPrice() {
		return $this->price;
	}
}
