<?php

abstract class WPRuby_Shipping_Method extends WC_Shipping_Method{

	protected $debug_mode = 'no';
	public $title = '';

	/**
	 * Output a message
	 *
	 * @param $message
	 * @param $array
	 * @param string $type
	 */
	protected function debug($message, $array, $type = 'notice') {
		if ($this->debug_mode == 'yes' && current_user_can('manage_options')) {
			$message = $message . ': <pre>' . print_r($array, true). '</pre>';
			wc_add_notice($message, $type);
		}
	}


	/**
	 * check_store_requirements function.
	 * @access public
	 * @return void
	 */
	public function check_store_requirements()
	{

		if (get_woocommerce_currency() != "GBP") {
			$this->display_error_message(sprintf('In order to use the %s extension to work, the store currency must be Pound sterling (£).', $this->title));
		}

		if (WC()->countries->get_base_country() != "GB") {
			$this->display_error_message(sprintf('In order to the %s extension to work, the base country/region must be set to UK.', $this->title));
		}
	}

	/**
	 * @param $message string
	 */
	private function display_error_message($message)
	{
		$url = esc_url(self_admin_url('admin.php?page=wc-settings&tab=general'));
		$link = "<a href='$url'>" . esc_html(__('Click here to change the setting.', "wc-royal-mail")) . '</a>';
		$message = esc_html($message);

		echo "<div class='error'><p>$message $link</p></div>";
	}

	public function admin_options()
	{
		include ROYALMAILPRO_DIR . 'shared/views/settings.php';
	}
}
