<?php $custom_boxes = (isset($this->instance_settings['custom_boxes']))?$this->instance_settings['custom_boxes']:''; ?>
<tr valign="top">
	<th scope="row" class="titledesc">
		<label for="woocommerce_royalmail_debug_mode"><?php _e('Add your own boxes', 'wc-royal-mail'); ?></label>
	</th>
	<td class="forminp">
		<fieldset>
			<table id="royalmail_custom_boxes_table" class="wc_gateways widefat">
				<thead>
				<tr>
					<th class="column-key"><?php _e('Box Name', 'wc-royal-mail'); ?></th>
					<th><?php _e('Outer Length', 'wc-royal-mail'); ?></th>
					<th><?php _e('Outer Width', 'wc-royal-mail'); ?></th>
					<th><?php _e('Outer Height', 'wc-royal-mail'); ?></th>
					<th><?php _e('Empty Weight', 'wc-royal-mail'); ?></th>
					<th><?php _e('Inner Length', 'wc-royal-mail'); ?></th>
					<th><?php _e('Inner Width', 'wc-royal-mail'); ?></th>
					<th><?php _e('Inner Height', 'wc-royal-mail'); ?></th>
					<th><?php _e('Maximum Weight', 'wc-royal-mail'); ?></th>
					<th></th>
				</tr>
				</thead>
				<tbody>
				<?php if (isset($custom_boxes) && is_array($custom_boxes)): ?>
					<?php foreach ($custom_boxes as $key => $box): ?>
						<tr>
							<td><input name="woocommerce_custom_boxes[box_name][]"  value="<?php echo $box['box_name'] ?>" type="text">&nbsp;	</td>
							<td><input name="woocommerce_custom_boxes[box_outer_length][]" class="royalmail-small" value="<?php echo $box['box_outer_length'] ?>" type="text"><span class="boxes_units_lbl">mm</span></td>
							<td><input name="woocommerce_custom_boxes[box_outer_width][]" class="royalmail-small" value="<?php echo $box['box_outer_width'] ?>" type="text"><span class="boxes_units_lbl">mm</span></td>
							<td><input name="woocommerce_custom_boxes[box_outer_height][]" class="royalmail-small" value="<?php echo $box['box_outer_height'] ?>" type="text"><span class="boxes_units_lbl">mm</span></td>
							<td><input name="woocommerce_custom_boxes[box_empty_weight][]" class="royalmail-small" value="<?php echo $box['box_empty_weight'] ?>" type="text"><span class="boxes_units_lbl">g</span></td>
							<td><input name="woocommerce_custom_boxes[box_inner_length][]" class="royalmail-small" value="<?php echo $box['box_inner_length'] ?>" type="text"><span class="boxes_units_lbl">mm</span></td>
							<td><input name="woocommerce_custom_boxes[box_inner_width][]" class="royalmail-small" value="<?php echo $box['box_inner_width'] ?>" type="text"><span class="boxes_units_lbl">mm</span></td>
							<td><input name="woocommerce_custom_boxes[box_inner_height][]" class="royalmail-small" value="<?php echo $box['box_inner_height'] ?>" type="text"><span class="boxes_units_lbl">mm</span></td>
							<td><input name="woocommerce_custom_boxes[box_maximum_weight][]" class="royalmail-small" value="<?php echo $box['box_maximum_weight'] ?>" type="text"><span class="boxes_units_lbl">g</span></td>
							<td><a class="delete_box" href="javascript:void(0);"><span class="dashicons  dashicons-trash"></span></a></td>
						</tr>
					<?php endforeach; ?>
				<?php endif; ?>
				</tbody>
				<tfoot>
				<tr>
					<th ><a id="add_row_custom_boxes_button" href="javascript:void(0);" class="button"><?php _e('Add New Box', 'wc-royal-mail'); ?></a></th>
					<th colspan="9"><span style="font-style: italic; color:grey">* <?php _e('All of box fields are required.', 'wc-royal-mail') ?></span></th>
				</tr>
				</tfoot>
			</table>
		</fieldset>
	</td>
</tr>

<script type="text/javascript">
  jQuery(function() {
    jQuery('.delete_box').click(function(e){
      if(window.confirm('Are you sure that you wanted to delete this box?')){
        jQuery(this).parent().parent().remove();
      }
    });
    jQuery('#add_row_custom_boxes_button').click(function(e){
      e.preventDefault();
      var row = '<tr>'+
        '<td><input name="woocommerce_custom_boxes[box_name][]"  value="" type="text">&nbsp;	</td>'+
        '<td><input name="woocommerce_custom_boxes[box_outer_length][]" class="royalmail-small" value="" type="text"><span class="boxes_units_lbl">mm</span></td>'+
        '<td><input name="woocommerce_custom_boxes[box_outer_width][]" class="royalmail-small" value="" type="text"><span class="boxes_units_lbl">mm</span></td>'+
        '<td><input name="woocommerce_custom_boxes[box_outer_height][]" class="royalmail-small" value="" type="text"><span class="boxes_units_lbl">mm</span></td>'+
        '<td><input name="woocommerce_custom_boxes[box_empty_weight][]" class="royalmail-small" value="" type="text"><span class="boxes_units_lbl">g</span></td>'+
        '<td><input name="woocommerce_custom_boxes[box_inner_length][]" class="royalmail-small" value="" type="text"><span class="boxes_units_lbl">mm</span></td>'+
        '<td><input name="woocommerce_custom_boxes[box_inner_width][]" class="royalmail-small" value="" type="text"><span class="boxes_units_lbl">mm</span></td>'+
        '<td><input name="woocommerce_custom_boxes[box_inner_height][]" class="royalmail-small" value="" type="text"><span class="boxes_units_lbl">mm</span></td>'+
        '<td><input name="woocommerce_custom_boxes[box_maximum_weight][]" class="royalmail-small" value="" type="text"><span class="boxes_units_lbl">g</span></td>'+
        '<td><a class="delete_box" href="javascript:void(0);"><span class="dashicons  dashicons-trash"></span></a></td>'+
        '</tr>';
      jQuery('#royalmail_custom_boxes_table tbody').append(row);
      // activate the deletion.
      jQuery('.delete_box').click(function(e){
        if(window.confirm('Are you sure that you wanted to delete this box?')){
          jQuery(this).parent().parent().remove();
        }
      });
    });
  });
</script>
<style>
    .royalmail-small{
        width:60px !important;
    }
</style>